<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс CommandWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Сигналы</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classCommandWindow-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс CommandWindow</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Граф наследования:CommandWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classCommandWindow__inherit__graph.png" border="0" usemap="#CommandWindow_inherit__map" alt="Inheritance graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса CommandWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classCommandWindow__coll__graph.png" border="0" usemap="#CommandWindow_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Сигналы</h2></td></tr>
<tr class="memitem:a0004de94ba38292b8d77237e96f4af00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandWindow.html#a0004de94ba38292b8d77237e96f4af00">signalExit</a> ()</td></tr>
<tr class="separator:a0004de94ba38292b8d77237e96f4af00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91586ede5c3b5678d5cb3686acd10b4d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandWindow.html#a91586ede5c3b5678d5cb3686acd10b4d">addData</a> ()</td></tr>
<tr class="separator:a91586ede5c3b5678d5cb3686acd10b4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a6bdd814dd9799ceb8a0f94bb1b62da97"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandWindow.html#a6bdd814dd9799ceb8a0f94bb1b62da97">table</a></td></tr>
<tr class="separator:a6bdd814dd9799ceb8a0f94bb1b62da97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad66616d8f7a6c2df1c1a3c8f0cf6504c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandWindow.html#ad66616d8f7a6c2df1c1a3c8f0cf6504c">pathText</a></td></tr>
<tr class="separator:ad66616d8f7a6c2df1c1a3c8f0cf6504c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a34756481a53d137b4c98f3d9850df5"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandWindow.html#a3a34756481a53d137b4c98f3d9850df5">shortcutsText</a></td></tr>
<tr class="separator:a3a34756481a53d137b4c98f3d9850df5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac849f4b04ac3bf4e5d7d52732ecc865"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandWindow.html#aac849f4b04ac3bf4e5d7d52732ecc865">rezultText</a></td></tr>
<tr class="separator:aac849f4b04ac3bf4e5d7d52732ecc865"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38ee584b6f996ea08c88b453bc78cb1d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommandWindow.html#a38ee584b6f996ea08c88b453bc78cb1d">isRecord</a></td></tr>
<tr class="separator:a38ee584b6f996ea08c88b453bc78cb1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Методы</h2>
<a id="a91586ede5c3b5678d5cb3686acd10b4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91586ede5c3b5678d5cb3686acd10b4d">&#9670;&nbsp;</a></span>addData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CommandWindow::addData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0004de94ba38292b8d77237e96f4af00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0004de94ba38292b8d77237e96f4af00">&#9670;&nbsp;</a></span>signalExit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CommandWindow::signalExit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="a38ee584b6f996ea08c88b453bc78cb1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38ee584b6f996ea08c88b453bc78cb1d">&#9670;&nbsp;</a></span>isRecord</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CommandWindow::isRecord</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad66616d8f7a6c2df1c1a3c8f0cf6504c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad66616d8f7a6c2df1c1a3c8f0cf6504c">&#9670;&nbsp;</a></span>pathText</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string CommandWindow::pathText</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aac849f4b04ac3bf4e5d7d52732ecc865"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac849f4b04ac3bf4e5d7d52732ecc865">&#9670;&nbsp;</a></span>rezultText</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string CommandWindow::rezultText</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a34756481a53d137b4c98f3d9850df5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a34756481a53d137b4c98f3d9850df5">&#9670;&nbsp;</a></span>shortcutsText</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string CommandWindow::shortcutsText</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bdd814dd9799ceb8a0f94bb1b62da97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bdd814dd9799ceb8a0f94bb1b62da97">&#9670;&nbsp;</a></span>table</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string CommandWindow::table</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/deskhelper/src/<a class="el" href="CommandWindow_8qml.html">CommandWindow.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
